summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/openssl/openssl_run.sh
diff options
context:
space:
mode:
authorAmar Tumballi <amarts@redhat.com>2012-02-18 10:41:37 -0800
committerGerrit Code Review <root@dev.gluster.com>2012-02-18 10:41:37 -0800
commit58c7ab800444f2b80039d71509c5dc81a3598ead (patch)
tree4e23efa722b22b286842f4b45da1a8d5011f4a4c /sanity/system_light/scripts/openssl/openssl_run.sh
parent6ed4ac470d7aaddd05ce179bc304ef688f5553aa (diff)
parent9d36eca70a458c736e44fd8eb9184415ec45f1e6 (diff)
Merge "system_light: changes to have modularity in running tests"
Diffstat (limited to 'sanity/system_light/scripts/openssl/openssl_run.sh')
-rwxr-xr-xsanity/system_light/scripts/openssl/openssl_run.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/openssl/openssl_run.sh b/sanity/system_light/scripts/openssl/openssl_run.sh
new file mode 100755
index 0000000..6ec8893
--- /dev/null
+++ b/sanity/system_light/scripts/openssl/openssl_run.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+#This scripts takes openssl tar file,untars it and builds it.
+
+function main()
+{
+ echo "untarring the openssl tarball"
+ echo "start:`date +%T`"
+ time tar -xvf $OPENSSL_TAR_FILE 2>>$LOG_FILE 1>>$LOG_FILE
+ cd $OPENSSL_DIR
+
+ if [ -z "$PREFIX" -a -z "$OPENSSLDIR" ]; then
+ echo "executing ./config:`date +%T`"
+ time ./config 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "./config failed:`date +%T`"
+ return 11;
+ fi
+ else
+ echo "executing ./config with prefix:`date +%T`"
+ time ./config --prefix=$PREFIX --openssldir=$OPENSSLDIR 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "config prefix failed:`date +%T`"
+ return 11;
+ fi
+ fi
+
+ echo "executing make:`date +%T`"
+ time make 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "make failed:`date +%T`"
+ return 11
+ fi
+
+ echo "executing make test:`date +%T`"
+ time make test 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "make test failed:`date +%T`"
+ return 11;
+ else
+ return 0;
+ fi
+}
+
+main "$@";